Name:		yum-conf-virtualbox
Version:	1.0
Release:	1%{?dist}
Summary:	yum repo files for VirtualBox

Group:		System Environment/Libraries
License:	GPL
URL:		https://www.virtualbox.org/wiki/Downloads

%define debug_package %{nil}

BuildRequires:	bash sed coreutils
BuildArch:	noarch

Requires:	yum
Requires:	system-release >= 7

%description
Yum repository config file that point to the VirtualBox
rpm repo.


%prep

%install
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d/

echo "Building yum repos"

cat > $RPM_BUILD_ROOT/etc/yum.repos.d/virtualbox.repo <<REPO
[virtualbox]
Name=VirtualBox for \$releasever / \$basearch
baseurl=http://download.virtualbox.org/virtualbox/rpm/el/\$releasever/\$basearch
enabled=1
gpgcheck=1
gpgkey=https://www.virtualbox.org/download/oracle_vbox.asc

REPO

chmod 644 $RPM_BUILD_ROOT/etc/yum.repos.d/*.repo


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*


%changelog
* Thu Jun 29 2017 Pat Riehecky <riehecky@fnal.gov> 1.0-1.el7
- Initial build

